<app-base-layout [enableMobileMenu]="true">
  <div class="refer-wrapper">
    <div class="refer-banner">
    <div class="refer-title">Refer</div>
    <div class="text-center mt-3">
    <img src="assets/images/refer-mobile-banner.svg">
  </div>
  </div>
    <div class="container refer-informtion">
      <div class=""></div>
      <div class="basic-information mt-4 mb-4 d-none">
        <div class="row m-0 ">
          <div class="col-6 pl-0 pr-1">
            <div class="card">
              <div class="card-body">
            <div class="value">8</div>
            <div class="text">Invites Accepted</div>
          </div>
        </div>
          </div>
          <div class="col-6 pr-0 pl-1">
            <div class="card">
              <div class="card-body">
            <div class="value">8</div>
            <div class="text">Account Created</div>
          </div>
        </div>
      </div>
        </div>
      </div>
      
      <div class="invite-link-card card">
        <div class="card-body">
          <div class="title">
            Let your friends know<br> about
            Dollarbull
          </div>
          <div class="invite-link" ngxClipboard [cbContent]="referUrl" (cbOnSuccess)="RefContentcopied($event)">
            <button class="btn btn-copy"> <img src="assets/icons/copy-icon-green.svg" class="mr-2" />
              <a>{{copyLinkText}}</a></button>
           
          </div>
        </div>
      </div>
      <div class="or">
        OR
      </div>

      <div class="invite-via-card card mb-3">
        <div class="card-body">
          <div class="heading">Invite via</div>
          <div class="row text-center">
            <div class="col-4" (click)="handleWARefer()">
              <img src="assets/icons/whatsapp-logo.png" />
              <div class="text">WhatsApp</div>
            </div>
            <div class="col-4" (click)="handleFBRefer()">
              <img src="assets/icons/fb-logo.png" />
              <div class="text">Facebook</div>
            </div>
            <div class="col-4" (click)="handleTwitterRefer()">
              <img src="assets/icons/twitter-icon.svg" />
              <div class="text">Twitter</div>
            </div>
            <!-- <div class="col-3">
              <img src="assets/icons/instagram-logo.png" />
              <div class="text">Instagram</div>
            </div> -->
            <!-- <div class="col-3">
              <img src="assets/icons/more.svg" />
              <div class="text">More</div>
            </div> -->
          </div>
        </div>
      </div>

      <div class="from-contact-invite-card card d-none">
        <div class="card-body">
          <div class="heading">Select from Contacts</div>

          <div class="mb-4">
            <app-search-field
              [placeholder]="strings.searchPlaceholder"
              (keyup)="handleSearchChange($event)"
              [searchInput]="searchInput"
            ></app-search-field>
          </div>

          <div class="row search-result mb-3">
            <div class="col-2"><span>A</span></div>
            <div class="col-6">
              <div class="title">Aarti</div>
              <div class="number">8988787656</div>
            </div>
            <div class="col-4 text-right" (click)=handleInvite()>
              <button type="button" class="btn btn-outline-primary">
                Invite
              </button>
            </div>
          </div>
          <div class="row search-result mb-3">
            <div class="col-2"><span>A</span></div>
            <div class="col-6">
              <div class="title">Aarti</div>
              <div class="number">8988787656</div>
            </div>
            <div class="col-4 text-right">
              <button type="button" class="btn btn-outline-primary">
                Invite
              </button>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</app-base-layout>
